osl::move_probability::AddEffectLong Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::AddEffectLong:

## Public Types

enum | { DIM = PTYPE_SIZE*BlockLong::LongAttackSize }

## Public Member Functions

| AddEffectLong ()
double | match (const StateInfo &state, const MoveInfo &move, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Static Public Member Functions

static double | addOne (Direction dir, const StateInfo &state, const MoveInfo &move, int offset, const double *w)
Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 833 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 836 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## AddEffectLong()

osl::move_probability::AddEffectLong::AddEffectLong | ( |  | ) |

inline

Definition at line 839 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## addOne()

double osl::move_probability::AddEffectLong::addOne | ( | Direction | dir,
|  | const StateInfo & | state,
|  | const MoveInfo & | move,
|  | int | offset,
|  | const double * | w )

inline static

Definition at line 842 of file move_probability/feature.h.

References osl::Board_Table, osl::move_probability::BlockLong::findAll(), osl::Piece::isEmpty(), osl::isLong(), osl::Piece::isPiece(), osl::move_probability::MoveInfo::move, osl::SimpleState::pieceAt(), osl::move_probability::MoveInfo::player, osl::move_probability::StateInfo::state, and osl::Move::to().

Referenced by match().

## match()

double osl::move_probability::AddEffectLong::match | ( | const StateInfo & | state,
|  | const MoveInfo & | move,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 854 of file move_probability/feature.h.

References addOne(), osl::misc::BitOp::bsf(), osl::move_probability::BlockLong::LongAttackSize, osl::move_probability::MoveInfo::move, osl::Move::ptype(), and osl::Ptype_Table.

The documentation for this class was generated from the following file:

- move_probability/feature.h